# END USER LICENSE AGREEMENT
This End User License Agreement (“EULA”) is a legal agreement between YOU (either
individual or entity) and the copyright owner inPlace Softwares para Automação
LTDA.

By downloading, installing, copying, using the software (including the associated
media, printed materials and online or electronic documentation - hereinafter
the “SOFTWARE”) distributed by inPlace Softwares para Automação LTDA YOU agree
to be bound by the terms of this EULA. If YOU do not agree with these terms and
conditions do not download, install, copy, or use the SOFTWARE.

If you are not an individual, by accepting the terms of this EULA, YOU expressly
declare and confirm that YOU have the full power and capacity to accept this
EULA in the name of the entity on behalf of which YOU are acting. Should this 
declaration prove to be false, YOU shall be responsible and liable in person
for all obligations under the EULA.

## 1. GRANT OF LICENSE
Subject to the terms and conditions of this EULA, YOU are granted non-exclusive,
non-sublicensable, limited license for YOU to use the enclosed software and 
associated documentation.

## 2. OWNERSHIP AND COPYRIGHT
The SOFTWARE is licensed, not sold. No title to or ownership in the SOFTWARE
is transferred to YOU. The SOFTWARE is protected by all applicable laws and
treaties. Hereby you are informed, that inPlace Softwares para Automação
LTDA reserved all rights (to the maximum extent permitted by applicable laws)
related to the SOFTWARE and to any reproduction of the SOFTWARE including its
documentation, logos, trademarks, icons and interface in whole or in part which
was not expressly granted hereunder. If YOU copy or use all or any portion of
the SOFTWARE without entering into this EULA or in non-compliance with any of
the terms of this EULA, YOU are violating copyright or other intellectual 
property law, and YOU may be liable to inPlace Softwares para Automação LTDA
in particular for damages, and YOU may be subject to criminal penalties.

## 3. GENERAL RESTRICTIONS
Except only to the extent otherwise expressly allowed under Section 1 (GRANT OF
LICENSE) above, YOU are not licensed to, and agrees not to:

(i) decompile, translate, reverse-engineer, disassemble, or otherwise reduce
to human readable form the SOFTWARE or the data files generated by the SOFTWARE;

(ii) transmit the SOFTWARE or display the object code of the SOFTWARE on any
computer screen, or make any hard-copy memory dumps of the object code;

(iii) modify or prepare derivative works of the Software, in whole or in part;

(iv) hypothecate, rent, lease, loan, lend, time-share, sublicense, distribute
or otherwise transfer the Software to any other individual, corporation or other
legal entity; or

(v) remove, alter or obscure any product identification, ownership or
intellectual property rights notices on or in the Software.

## 4. WARRANTIES AND DISCLAIMERS
THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR 
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, 
FITNESS FOR A PARTICULAR PURPOSE AND NON-INFRINGEMENT. IN NO EVENT INPLACE
SOFTWARES PARA AUTOMAÇÃO LTDA SHALL BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
THE SOFTWARE.

## 5. UPDATES, UPGRADES AND SUPPORT SERVICES
This EULA does not grant YOU the right to any technical support for, or updates
or upgrades to the SOFTWARE. However, inPlace Softwares para Automação LTDA may
offer from time to time updates, upgrades and/or technical support. inPlace
Softwares para Automação LTDA may, at its option and as part of its sales and
marketing policy, make updates, upgrades and/or technical support under terms
to be determined from time to time by inPlace Softwares para Automação LTDA.

## 6. LIMITATION OF LIABILITY
IN NO EVENT SHALL INPLACE SOFTWARES PARA AUTOMAÇÃO LTDA BE LIABLE FOR ANY LOSS
OF DATA, LOST PROFITS, OR COST OF PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES,
OR FOR ANY SPECIAL, INCIDENTAL, CONSEQUENTIAL OR INDIRECT DAMAGES ARISING UNDER,
RELATED TO, OR IN CONNECTION WITH THIS AGREEMENT OR THE USE OR OPERATION OF THE
SOFTWARE, IN WHOLE OR IN PART, HOWEVER CAUSED AND UNDER ANY THEORY OF LIABILITY;

## 8. TERMINATION
The EULA is effective from the first time the SOFTWARE is installed or used by
the End User. YOU shall have the right to terminate this EULA at any time by
removing and permanently deleting all copies of the SOFTWARE from your computer
systems.

The EULA may be terminated automatically by inPlace Softwares para Automação
LTDA without notice. In such an event, YOU must immediately delete the SOFTWARE
from your computer systems.

## 9. GOVERNING LAW AND DISPUTES
This EULA agreement, and any dispute arising out of or in connection with this
EULA agreement, shall be governed by and construed in accordance with the laws
of Brazil.
