# PITANGA EMULATOR

Pitanga Emulator is a digital circuit emulator that enables fast prototyping of
digital circuits. It compiles a subset of the Verilog language into a the 
Pitanga programmable chip, much like logic synthesis software does on
programmable logic devices like FPGAs and CPLDs. The Pitanga programmable
chip is embedded in a virtual PCB (Printed Circuit Board) that contains LEDs,
switches, push-buttons, and 7-segment displays.

## Installation

The installation instructions are available on our website at

  https://www.inplace-da.com

You'll find a quick start there.

## Support

Our team is working hard to provide you with the best functional software.
However, we are not perfect. So, if you find bugs or need any kind of
assistance, please, feel free to reach us at the Pitanga Community forum at

  https://www.inplace-da.com/forum

We know how your time is valuable and we will appreciate your feedback. 

## Additional Notes

The Pitanga Platform is composed of two pieces of software that combined 
make the emulation work: a client-side and server-side software. The most
impacting changes are deployed on the server-side and do not affect
the users. However, sometimes we add new features on the server-side
that requires updating the client software. So, if you see weird messages
or notice that for some reason Pitanga seems broken, please, check out
our website and download a new client version.

Have fun with Pitanga!

Best,
inPlace Team.