module adder16(
    input cin,

    input a00,
    input a01,
    input a02,
    input a03,
    input a04,
    input a05,
    input a06,
    input a07,
    input a08,
    input a09,
    input a10,
    input a11,
    input a12,
    input a13,
    input a14,
    input a15,

    input b00,
    input b01,
    input b02,
    input b03,
    input b04,
    input b05,
    input b06,
    input b07,
    input b08,
    input b09,
    input b10,
    input b11,
    input b12,
    input b13,
    input b14,
    input b15,

    output s00,
    output s01,
    output s02,
    output s03,
    output s04,
    output s05,
    output s06,
    output s07,
    output s08,
    output s09,
    output s10,
    output s11,
    output s12,
    output s13,
    output s14,
    output s15,

    output cout
    );

    wire cout_fa00, cout_fa01, cout_fa02, cout_fa03,
         cout_fa04, cout_fa05, cout_fa06, cout_fa07,
         cout_fa08, cout_fa09, cout_fa10, cout_fa11,
         cout_fa12, cout_fa13, cout_fa14;

    full_adder fa00(.a(a00), .b(b00), .cin(cin),       .s(s00), .cout(cout_fa00));
    full_adder fa01(.a(a01), .b(b01), .cin(cout_fa00), .s(s01), .cout(cout_fa01));
    full_adder fa02(.a(a02), .b(b02), .cin(cout_fa01), .s(s02), .cout(cout_fa02));
    full_adder fa03(.a(a03), .b(b03), .cin(cout_fa02), .s(s03), .cout(cout_fa03));
    full_adder fa04(.a(a04), .b(b04), .cin(cout_fa03), .s(s04), .cout(cout_fa04));
    full_adder fa05(.a(a05), .b(b05), .cin(cout_fa04), .s(s05), .cout(cout_fa05));
    full_adder fa06(.a(a06), .b(b06), .cin(cout_fa05), .s(s06), .cout(cout_fa06));
    full_adder fa07(.a(a07), .b(b07), .cin(cout_fa06), .s(s07), .cout(cout_fa07));
    full_adder fa08(.a(a08), .b(b08), .cin(cout_fa07), .s(s08), .cout(cout_fa08));
    full_adder fa09(.a(a09), .b(b09), .cin(cout_fa08), .s(s09), .cout(cout_fa09));
    full_adder fa10(.a(a10), .b(b10), .cin(cout_fa09), .s(s10), .cout(cout_fa10));
    full_adder fa11(.a(a11), .b(b11), .cin(cout_fa10), .s(s11), .cout(cout_fa11));
    full_adder fa12(.a(a12), .b(b12), .cin(cout_fa11), .s(s12), .cout(cout_fa12));
    full_adder fa13(.a(a13), .b(b13), .cin(cout_fa12), .s(s13), .cout(cout_fa13));
    full_adder fa14(.a(a14), .b(b14), .cin(cout_fa13), .s(s14), .cout(cout_fa14));
    full_adder fa15(.a(a15), .b(b15), .cin(cout_fa14), .s(s15), .cout(cout));
endmodule